<script setup>
import VPNavbar from '@vuepress/theme-default/components/VPNavbar.vue';
import ParentLayout from '@vuepress/theme-default/layouts/Layout.vue';

import { usePageData, usePageFrontmatter } from '@vuepress/client';
import { onMounted } from "vue";
import CookieBanner from "../components/CookieBanner.vue";
import Footer from "../components/Footer.vue";
import { setTheme } from "../utilities/bs-dark-mode";

const frontmatter = usePageFrontmatter();
const page = usePageData();

onMounted(() => {
  const observer = new MutationObserver(function (event) {
    const theme = (document.documentElement.classList.contains('dark')) ? 'dark' : 'light';
    setTheme(theme)
  })

  observer.observe(document.documentElement, {
    attributes: true,
    attributeFilter: ['class'],
    childList: false,
    characterData: false
  });

  if (!__VUEPRESS_SSR__) {
    const theme = (document.documentElement.classList.contains('dark')) ? 'dark' : 'light';
    setTheme(theme)
  }
})

</script>

<template>
  <div class="theme-container" v-if="frontmatter.is_viewer">
    <VPNavbar></VPNavbar>
    <main class="page viewer-page">
      <Content />
    </main>
  </div>
  <ParentLayout v-else :class="{'no-sidebar': frontmatter.hide_sidebar}">
    <template #page-bottom>
      <Footer/>
    </template>
  </ParentLayout>
  <Footer v-if="frontmatter.home"></Footer>
  <CookieBanner/>
</template>
